"use client"
import { useEffect, useState } from "react"
import {
    Dialog,
    DialogContent,
    DialogDescription,
    DialogFooter,
    DialogHeader,
    DialogTitle,
    DialogTrigger,
  } from "@/components/ui/dialog"
import { Input } from "@/components/ui/input"
import { Label } from "@/components/ui/label"
import { Button } from "@/components/ui/button"
import SearchComponent from "@/components/layout/searchInput/search"

   
  export function DialogComponent({open,returnedValue}) {
    const [isOpen, setIsOpen] = useState(false)
    useEffect(()=>{
        setIsOpen(open)
    },[open])
    return (
        
      <Dialog open={isOpen} onOpenChange={(res)=>{returnedValue(res)}}>
        <DialogContent className="sm:max-w-[425px]">
          <DialogHeader>
            <DialogTitle>Start Search</DialogTitle>
            {/* <DialogDescription>
              Make changes to your profile here. Click save when you're done.
            </DialogDescription> */}
          </DialogHeader>
          <div className="grid gap-4 py-4">
            <SearchComponent inDialog={true} />
          </div>
          <DialogFooter>
            <Button onClick={()=>{
                setIsOpen(false)
                returnedValue(false)
            }} type="submit" >Search</Button>
          </DialogFooter>
        </DialogContent>
      </Dialog>
    )
  }